Gets a list of Security Policies in your account.
The list response returns only the brief attribute set —
id,name,kind, andis_default. The full attribute set is returned only by Get Security Policy by ID, Create, Update, and Set Default.
Resource URL
https://<subdomain>.onelogin.com/api/2/policiesHeader Parameters
| Parameter | Description |
|---|---|
| Authorization | bearer:<access_token>. Requires a scope of Manage All or Read All. |
| Content-Type | application/json |
Sample Responses
200 Success
{
"status": {
"error": false,
"code": 200,
"type": "success",
"message": "Success"
},
"data": [
{
"id": 1,
"name": "Default Policy",
"kind": "user",
"is_default": true
},
{
"id": 2,
"name": "App Policy - Salesforce",
"kind": "app",
"is_default": false
}
]
}Postman Collection
Add the Security Policies endpoints to your Postman workspace using the OneLogin Postman collection.
- Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.
Sample Code
curl -X GET \
https://<subdomain>.onelogin.com/api/2/policies \
-H 'Authorization: bearer:<access_token>' \
-H 'Content-Type: application/json'Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.